Subject: Re: [alto] PANRG Lightning Talks at IETF100: slot granted for ALTO presentation

From: Qiao Xiang <[email-masked]>
Date: Tue, 14 Nov 2017 15:01:25 -0700

Hi Sabine,

How are you doing? Thank you so much for all the efforts with PANRG!

The following is my 1-sentence summary of the use case for path-vector.

"With the path-vector information, the application can select the optimal
flows among all candidate to maximize its own throughput, while in the
meantime without overloading the provider network."

We are currently doing a demo of Unicorn at SuperComputing 2017, which was
presented in the traffic-optimization draft (
https://datatracker.ietf.org/doc/draft-xiang-alto-exascale-network-optimization/).
Compared with the last version, we extend the routing state abstraction
(RSA) draft by designing a multi-domain resource state abstraction (ReSA)
resource discovery protocol and integrate ALTO-SSE in our system. Attached
is a deck of slides presenting our design and the demo settings. So far we
are on the exact timeline we presented in IETF 98 and 99 for Unicorn, and
will continue to move things forward as scheduled.

Thanks.

Best
Qiao

On Tue, Nov 14, 2017 at 9:45 AM, Randriamasy, Sabine (Nokia - FR/Nozay) <
[email-masked]> wrote:

> Hi Dawn and all,
>
>
>
> I am finalizing the slides for the ALTO lightning talk of Thursday and
> plan to send them tomorrow afternoon (Singapore time) to the PANRG chairs.
>
> Regarding The Path Vector extension : could you send me 1-2 sentences with
> an example on how an application can ask the network to use for example
> path 1 and not path 2, once it gets the ALTO information on these paths? Or
> how is an application supposed to use the information on paths P1 and P2?
>
>
>
> Sorry for the late notice. The slot has shrinked to 5 mins and it is kind
> of tough to prepare a clear and crispy presentation J
>
>
>
> Thanks a lot in advance and best regards,
>
> Sabine
>
>
>
>
>
> *From:* Randriamasy, Sabine (Nokia - FR/Nozay)
> *Sent:* Tuesday, November 07, 2017 6:12 PM
> *To:* 'Dawn Chan' <[email-masked]>
> *Cc:* 'Richard Yang' <[email-masked]>
> *Subject:* RE: PANRG Lightning Talks at IETF100: slot granted for ALTO
> presentation
>
>
>
> Hi Dawn,
>
>
>
> Sorry for my late answer as well, I was away and catching up now.
>
> Thanks a lot for your suggestions. Indeed, within the allocated 5 minutes,
> my approach is to focus on the relevant ALTO extensions providing
> information not available otherwise and relating to cases such as
> multi-access, or deeper path insight, or time-based.
>
> So my suggestion is to list:
>
> - path vector with details on network elements and their properties, not
> available otherwise,
>
> - calendar: time-based cost values, not available otherwise,
>
> - cost-context (not a WG item): with multi-path compliant cost values
> depending on e.g. access-type,
>
>
>
> Do you see another ALTO item to be added?
>
> I’ll finish my slides sketch and circulate it to you and in the list.
>
>
>
> Best regards,
>
> Sabine
>
>
>
>
>
> *From:* Dawn Chan [mailto:[email-masked]
> <[email-masked]>]
> *Sent:* Wednesday, November 01, 2017 2:09 PM
> *To:* Randriamasy, Sabine (Nokia - FR/Nozay) <sabine.randriamasy@nokia-
> bell-labs.com>
> *Subject:* Re: PANRG Lightning Talks at IETF100: slot granted for ALTO
> presentation
>
>
>
> Hi Sabine,
>
>
>
> Sorry for the late reply and thanks for the preparation of slides.
>
>
>
> I believe the base ALTO protocol which offers properties of end to end
> paths must have been taken into consideration. Besides, I think the ALTO
> cost calendars could be part of the slides for it can provide some
> historical properties of paths, which might be useful to clients in
> choosing path. As for path vector, path vector provides finer-grained
> properties of a path, it is useful in multiple sources + multiple
> destinations settings, and the concept of network elements can be used for
>  intelligent DNS resolvers (mentioned at 22 of slide “A Decade of Path
> Awareness” https://datatracker.ietf.org/meeting/99/materials/slides-
> 99-panrg-a-decade-of-path-awareness/
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_meeting_99_materials_slides-2D99-2Dpanrg-2Da-2Ddecade-2Dof-2Dpath-2Dawareness_&d=DwMGaQ&c=cjytLXgP8ixuoHflwc-poQ&r=yfGbSYAnxNLqTF_GvthLTqOU4vrf7QpUlvMvUE9ET9U&m=Hc0bEsLeJ7vAyTdoJMYnJQs3d0yo8Iy0Ap7r7gvtpbo&s=KS17z2Eb1jexPydKWEC7cQpIKqHO0GUYHxXQk9pAYNc&e=>)
> to return abstract path to hosts. I wish these might be helpful.
>
>
>
> Best Regards,
>
> Dawn
>
> On 13 Oct 2017, at 12:47 AM, Randriamasy, Sabine (Nokia - FR/Nozay) <
> [email-masked]> wrote:
>
>
>
> Hi Richard and ALTO team,
>
>
>
> I hope you are all doing well. I was busy until yesterday preparing and
> presenting demos and have now more time to catch up with ALTO. I will
> circulate a sketch of the slides for PANRG and will be happy to have your
> feedback, as you shown interested in their topics.
>
>
>
> Cheers,
>
> Sabine
>
>
>
>
>
> *From:* alto [mailto:[email-masked] <[email-masked]>] *On
> Behalf Of *Randriamasy, Sabine (Nokia - FR/Nozay)
> *Sent:* Thursday, October 12, 2017 6:29 PM
> *To:* [email-masked]
> *Subject:* [alto] PANRG Lightning Talks at IETF100: slot granted for ALTO
> presentation
>
>
>
> Hello,
>
>
>
> As you may remember, the PANRG has drawn the ALTO WG attention on their
> first meeting at IETF 99 Prague, seehttps://mailarchive.ietf.
> org/arch/msg/alto/SbSZ8LKiCr7T3-tmifIzefUU1hQ/?qid=
> 37df9ccecf885a3e8a4524f4603c1774
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__mailarchive.ietf.org_arch_msg_alto_SbSZ8LKiCr7T3-2DtmifIzefUU1hQ_-3Fqid-3D37df9ccecf885a3e8a4524f4603c1774&d=DwMGaQ&c=cjytLXgP8ixuoHflwc-poQ&r=yfGbSYAnxNLqTF_GvthLTqOU4vrf7QpUlvMvUE9ET9U&m=Hc0bEsLeJ7vAyTdoJMYnJQs3d0yo8Iy0Ap7r7gvtpbo&s=2U8N6UvQQk72lkNpGmLj4_HtFOLGOu4hTW7DRJw4Uso&e=>
>
>
>
> The PANRG called for lightning talks of 5-7 mins including questions for
> IETF100. They have accepted my proposal on the topic:
>
> "The IETF ALTO protocol and its extensions: helping users, end hosts and
> applications having a topology-aware insight into end to end paths".
>
> I intend to prepare 3-4 slides. If you have any thoughts on what should be
> highlighted, your suggestions will be more than welcome. I remember there
> was interest in PANRG from people involved in path-vector related work.
>
>
>
> General information on PANRG can be found here: https://datatracker.
> ietf.org/group/panrg/about/
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_group_panrg_about_&d=DwMGaQ&c=cjytLXgP8ixuoHflwc-poQ&r=yfGbSYAnxNLqTF_GvthLTqOU4vrf7QpUlvMvUE9ET9U&m=Hc0bEsLeJ7vAyTdoJMYnJQs3d0yo8Iy0Ap7r7gvtpbo&s=iGdht6kugFrBx-Y29Rbg2jLujMBMhze3PSwJlDt53F0&e=>
>
> The PANRG presentations at IETF99 are here https://github.com/panrg/
> meeting-materials/tree/master/ietf99-prague
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__github.com_panrg_meeting-2Dmaterials_tree_master_ietf99-2Dprague&d=DwMGaQ&c=cjytLXgP8ixuoHflwc-poQ&r=yfGbSYAnxNLqTF_GvthLTqOU4vrf7QpUlvMvUE9ET9U&m=Hc0bEsLeJ7vAyTdoJMYnJQs3d0yo8Iy0Ap7r7gvtpbo&s=-NHtD2tZmQBi2SwRqm8OZ6peG6EBQACGwbAe5YqaFxc&e=>
>  . The one entitled  “A Decade of Path Awareness” is particularly
> relevant.
>
>
>
> Thanks,
>
> Sabine
>
>
>
>
>
> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_alto&d=DwMGaQ&c=cjytLXgP8ixuoHflwc-poQ&r=yfGbSYAnxNLqTF_GvthLTqOU4vrf7QpUlvMvUE9ET9U&m=Hc0bEsLeJ7vAyTdoJMYnJQs3d0yo8Iy0Ap7r7gvtpbo&s=1mk3r47CoQZtJGFhLy7UibubdQtWfEnfSSYKb9AOKLI&e=>
>
>
>

-- 
Qiao Xiang
Postdoctoral Fellow,
Department of Computer Science,
Yale University